Summary: Open Motif runtime libraries and executables.
Name: openmotif
Version: 2.1.30
Release: 8
Copyright: Open Group Public License
Group: System Environment/Libraries
Source: ftp://openmotif.opengroup.org/pub/openmotif/R2.1.30/tars/%{name}%{version}.tar.bz2
URL: http://www.openmotif.opengroup.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Patch0: ftp://openmotif.opengroup.org/pub/openmotif/R2.1.30/fixes/patch1
Patch1: ftp://openmotif.opengroup.org/pub/openmotif/R2.1.30/fixes/patch2
Patch10: openmotif2.1.30-site.def.patch
Patch11: openmotif2.1.30-manpath.patch
Patch12: openmotif2.1.30-popups.patch
Patch13: openmotif2.1.30-Imake.cf.patch
Patch14: openmotif2.1.30-XFree4.patch
Patch15: openmotif2.1.30-linux.cf.patch
Patch16: openmotif2.1.30-imake.patch
Patch17: openmotif2.1.30-demos.patch
Patch18: openmotif2.1.30-bitmap.patch
Patch19: openmotif2.1.30-debug.patch
Prefix: /usr/X11R6

%description
This is the Open Motif %{version} runtime environment. It includes the
Motif shared libraries, needed to run applications which are dynamically
linked against Motif, and the Motif Window Manager "mwm".

%package devel
Summary: Open Motif development libraries and header files.
Group: Development/Libraries

%description devel
This is the Open Motif %{version} development environment. It includes the
static libraries and header files necessary to build Motif applications.

%prep
%setup -q -n motif
%patch0 -p1 -b .pl1
%patch1 -p1 -b .pl2

%patch10 -p1 -b .sitedef
%patch11 -p1 -b .manpath
%patch12 -p1 -b .popups
%patch13 -p1 -b .imakecf
%patch14 -p1 -b .xf4
%patch15 -p1 -b .linuxcf
%patch16 -p1 -b .imake
%patch17 -p1 -b .demos
%patch18 -p1 -b .bitmaps
%patch19 -p1 -b .debug

%build
mkdir -p imports/x11
ln -s /usr/X11R6/bin imports/x11
ln -s /usr/X11R6/include imports/x11
ln -s /usr/X11R6/lib imports/x11

make BOOTSTRAPCFLAGS="$RPM_OPT_FLAGS" World

%install
make DESTDIR=$RPM_BUILD_ROOT install install.man
cp -arf doc/man $RPM_BUILD_ROOT/usr/X11R6/

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT.MOTIF README RELEASE RELNOTES
%{prefix}/bin/mwm
%{prefix}/bin/xmbind
%{prefix}/include/X11/bitmaps/*
%{prefix}/lib/X11/app-defaults/Mwm
%{prefix}/lib/X11/system.mwmrc
%{prefix}/lib/Xm/bindings
%{prefix}/lib/lib*.so.*
%{prefix}/man/man1/mwm*
%{prefix}/man/man1/xmbind*
%{prefix}/man/man4/mwmrc*

%files devel
%defattr(-,root,root)
%{prefix}/bin/uil
%{prefix}/include/Mrm
%{prefix}/include/Xm
%{prefix}/include/uil
%{prefix}/lib/lib*.a
%{prefix}/lib/lib*.so
%{prefix}/man/man1/uil.1*
%{prefix}/man/man3/*
%{prefix}/man/man5/*

%changelog
* Fri Dec 29 2000 Than Ngo <than@redhat.com>
- don't build static debug libraries

* Mon Dec 18 2000 Than Ngo <than@redhat.com>
- bzip2 source

* Mon Jul 24 2000 Than Ngo <than@redhat.de>
- rebuilt against gcc-2.96-44

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Sun Jun 11 2000 Than Ngo <than@redhat.de>
- fix imake to built with gcc-2.96 (thanks Jakup)
- put bitmaps in /usr/X11R6/include/X11/bitmaps
- put bindings in /usr/X11R6/lib/Xm/bindings
- add define -D_GNU_SOURCE to build Motif
- gzip man pages
- cleanup specfile

* Mon May 29 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to patchlevel 2
- remove bindings patch, it's included in pl2

* Tue May 16 2000 Matt Wilson <msw@redhat.com>
- use -fPIC on sparc
- fixed Ngo's "fixes"

* Mon May 15 2000 Ngo Than <than@redhat.de>
- added description.
- fixed spec, added uil stuff.

* Mon May 15 2000 Matt Wilson <msw@redhat.com>
- initialization of spec file.
